#!/usr/bin/env python3
# -*- encoding: utf-8 -*-

import os

modules_map = dict()

moduleNames = os.listdir(os.path.join(os.path.dirname(os.path.abspath(__file__)),'modules'))
moduleNames = list(map(lambda a: a[:-3], filter(lambda a: a.endswith('.py'), moduleNames)))

for moduleName in moduleNames:
    if not moduleName.startswith('_'):
        exec('from .modules import {0} as {0}; modules_map["{0}"] = {0}'.format(moduleName))

def getDownloader(domain):
    for module in modules_map.values():
        try:
            if module.works_on(domain):
                return module.get_class()
        except: pass
    return None

